import request from '@/utils/request'

// 查询predict列表
export function listPredict(query) {
  return request({
    url: '/predictyear/predictyear/list',
    method: 'get',
    params: query
  })
}

// 查询predict详细
export function getPredict(id) {
  return request({
    url: '/predictyear/predictyear/' + id,
    method: 'get'
  })
}

// 新增predict
export function addPredict(data) {
  return request({
    url: '/predictyear/predictyear',
    method: 'post',
    data: data
  })
}

// 修改predict
export function updatePredict(data) {
  return request({
    url: '/predictyear/predictyear',
    method: 'put',
    data: data
  })
}

// 删除predict
export function delPredict(id) {
  return request({
    url: '/predictyear/predictyear/' + id,
    method: 'delete'
  })
}
